Subject: bug#70796: 30.0.50; bug-reference-mode leading to constant GCing

From: Tassilo Horn <[email-masked]>
Date: Mon, 17 Jun 2024 10:19:31 +0200

Andrea Corallo <[email-masked]> writes:

> Okay, so this is what I tried:
>
> I bootstrapped two Emacs from current master (7be66d8223e) one
> --with-native-compilation=yes the other --with-native-compilation=no
> and boths with Gerd patch applied.
>
> Also I checkout current scratch/igc (2343d55dff4) to get igc.org.
>
> I then tried to run with boths native/non-native emacsen with:
>
> .../src/emacs -eval '(setq garbage-collection-messages t)' -Q
> ~/emacs4/admin/igc.org
>
> Once started looking in *Messages* I see 7 GC cycles in the the
> non-native build and 5 in the native one, also I can scroll without
> issues or other GC cycles.
>
> Note that only during the first start the native copiled Emacs did a
> number of GC cycles more to jit some code but I guess that's expected.
>
> Am I trying to repruduce this correctly?

Yes.  And you also need to put some function in addition to
font-lock-fontify-region in jit-lock-functions, either by enabling
bug-reference-mode, goto-address-mode, or simply defining

  (defun i-do-nothing (start end) nil)

and then M-: (jit-lock-register #'i-do-nothing) RET in the igc.org
buffer.

Bye,
  Tassilo